# TdApi.ChatEventSlowModeDelayChanged (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatEventSlowModeDelayChanged

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventSlowModeDelayChanged

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction
it.tdlight.jni.TdApi.ChatEventSlowModeDelayChanged

Enclosing class:
  TdApi

public static final class TdApi.ChatEventSlowModeDelayChanged extends TdApi.ChatEventAction
The slowModeDelay setting of a supergroup was changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`newSlowModeDelay`
New value of slowModeDelay, in seconds.
`int`
`oldSlowModeDelay`
Previous value of slowModeDelay, in seconds.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventSlowModeDelayChanged()`
The slowModeDelay setting of a supergroup was changed.
`ChatEventSlowModeDelayChanged(int oldSlowModeDelay, int newSlowModeDelay)`
The slowModeDelay setting of a supergroup was changed.
`ChatEventSlowModeDelayChanged(DataInput input)`
The slowModeDelay setting of a supergroup was changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### oldSlowModeDelay

public int oldSlowModeDelay
Previous value of slowModeDelay, in seconds.

### newSlowModeDelay

public int newSlowModeDelay
New value of slowModeDelay, in seconds.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatEventSlowModeDelayChanged

public ChatEventSlowModeDelayChanged()
The slowModeDelay setting of a supergroup was changed.

### ChatEventSlowModeDelayChanged

public ChatEventSlowModeDelayChanged(int oldSlowModeDelay, int newSlowModeDelay)
The slowModeDelay setting of a supergroup was changed.

Parameters:
  `oldSlowModeDelay` - int Previous value of slowModeDelay, in seconds.
  `newSlowModeDelay` - int New value of slowModeDelay, in seconds.

### ChatEventSlowModeDelayChanged

public ChatEventSlowModeDelayChanged(DataInput input) throws IOException
The slowModeDelay setting of a supergroup was changed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`